Subject: [Ksummit-2013-discuss] ARM topic: Is DT on ARM the solution, or is there something better?

From: [email-masked] (Richard Cochran)
Date: Wed, 23 Oct 2013 20:23:47 +0200

On Wed, Oct 23, 2013 at 12:02:40PM -0600, Jason Gunthorpe wrote:
> On Wed, Oct 23, 2013 at 07:47:37PM +0200, Richard Cochran wrote:
> > 
> > The effort is no more or less than is required of every other kernel
> > development.
> 
> Bollocks. User space API development is the single most difficult
> thing to do in the kernel. It is much harder than any other change,
> and stable ABI DT is elevated to *that* level. 

Yes, that is the kind of effort needed. It comes with the territory.
System calls and ioctls are added all the time. Yes, they do require
some thought and review to get them right.

Creating new DT bindings also requires effort, but I don't agree with
the idea of making a mess for the end user just to avoid this effort.

Thanks,
Richard